- UID
- 307531
- 积分
- 57
- 精华
- 贡献
-
- 威望
-
- 活跃度
-
- D豆
-
- 在线时间
- 小时
- 注册时间
- 2005-8-12
- 最后登录
- 1970-1-1
|
发表于 2005-9-6 20:10:10
|
显示全部楼层
ThisDrawing.HandleToObject(handle)
借花献佛,这个例子是AutoCAD 自带的VBA帮助里的相关代码。
函数是:HandleToObject
''''''Start to show the code
<pre>
Sub Example_HandleToObject()
' This example creates a spline in model space, and returns the
' handle for the spline. Then the spline is returned from the handle and colored.
' Create the spline
Dim splineObj As AcadSpline
Dim startTan(0 To 2) As Double
Dim endTan(0 To 2) As Double
Dim fitPoints(0 To 8) As Double
startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0
endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0
fitPoints(0) = 1: fitPoints(1) = 1: fitPoints(2) = 0
fitPoints(3) = 5: fitPoints(4) = 5: fitPoints(5) = 0
fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0
Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan)
ZoomExtents
' Find the handle of the spline
Dim handle As String
handle = splineObj.handle
MsgBox "The handle of the Spline is: " & splineObj.handle, , "HandleToObject Example"
' Find an object from a given handle
Dim tempObj As AcadObject
Set tempObj = ThisDrawing.HandleToObject(handle)[/COLOR]
' Now use the newly initialized object variable to color the object
Dim color As AcadAcCmColor
Set color = AcadApplication.GetInterfaceObject("AutoCAD.AcCmColor.16")
Call color.SetRGB(80, 100, 244)
tempObj.TrueColor = color
ThisDrawing.Regen True
MsgBox "The Spline is now blue.", , "ObjectIDToObject Example"
End Sub |
|